VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Employee"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa Employee
Dim sickDays As Integer, vacDays As Integer
Dim salary As Single
Dim name As String
'-----
Public Sub init(nm As String, sl As Single, vDays As Integer, sDays As Integer)
  name = nm
  salary = sl
  vacDays = vDays
  sickDays = sDays
End Sub
'-----
Public Function getName() As String
  getName = name
End Function
'-----
Public Function getSalary() As Single
  getSalary = salary
End Function
'-----
Public Function getSickdays() As Integer
  getSickdays = sickDays
End Function
'-----
Public Function getVacDays() As Integer
  getVacDays = vacDays
End Function

Public Sub accept(v As Visitor)
  v.visit Me
End Sub
